Commit 202d0fbf authored by Emilio Pozuelo Monfort's avatar Emilio Pozuelo Monfort Committed by Sebastian Dröge

overrides: use get_introspection_module

https://bugzilla.gnome.org/show_bug.cgi?id=795555
parent e6778f1a
......@@ -27,7 +27,7 @@
import sys
import inspect
from ..overrides import override
from ..importer import modules
from ..module import get_introspection_module
from gi.repository import GLib
......@@ -40,7 +40,8 @@ else:
_basestring = basestring
_callable = callable
Gst = modules['Gst']._introspection_module
Gst = get_introspection_module('Gst')
__all__ = []
if Gst._version == '0.10':
......
......@@ -25,14 +25,14 @@
# any later version.
from ..overrides import override as override_
from ..importer import modules
from ..module import get_introspection_module
import gi
gi.require_version('Gst', '1.0')
from gi.repository import Gst # noqa
GstPbutils = modules['GstPbutils']._introspection_module
GstPbutils = get_introspection_module('GstPbutils')
__all__ = []
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment